Debian Bug report logs - #635712
crashes immediately after document load

version graph

Package: libinfinity; Maintainer for libinfinity is Philipp Kern <pkern@debian.org>;

Reported by: Clint Adams <clint@debian.org>

Date: Thu, 28 Jul 2011 10:21:01 UTC

Severity: normal

Found in version 0.5.2-5

Fixed in version libinfinity/0.5.2-6

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#635712; Package gobby-0.5. (Thu, 28 Jul 2011 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
New Bug report received and forwarded. Copy sent to Philipp Kern <pkern@debian.org>. (Thu, 28 Jul 2011 10:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: crashes immediately after document load
Date: Thu, 28 Jul 2011 10:21:02 +0000
Package: gobby-0.5
Version: 0.4.94-1

When trying to access dc11-monkeysphere on gobby.debian.net right now, gobby crashes:

% gobby-0.5 
**
ERROR:inf-text-gtk-view.c:978:inf_text_gtk_view_expose_event_after_cb: assertion failed: (end <= gtk_text_buffer_get_char_count( gtk_text_view_get_buffer(priv->textview) ))
zsh: abort      gobby-0.5





Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#635712; Package gobby-0.5. (Thu, 28 Jul 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <clint@debian.org>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Thu, 28 Jul 2011 10:33:19 GMT) Full text and rfc822 format available.

Message #10 received at 635712@bugs.debian.org (full text, mbox):

From: Clint Adams <clint@debian.org>
To: 635712@bugs.debian.org
Subject: Re: Bug#635712: Acknowledgement (crashes immediately after document load)
Date: Thu, 28 Jul 2011 10:35:21 +0000
As another datapoint, this stopped happening once I switched APs and
network quality improved.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#635712; Package gobby-0.5. (Thu, 28 Jul 2011 13:06:36 GMT) Full text and rfc822 format available.

Message #13 received at 635712@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Clint Adams <clint@debian.org>, 635712@bugs.debian.org
Cc: armin@0x539.de
Subject: Re: Bug#635712: crashes immediately after document load
Date: Thu, 28 Jul 2011 15:03:23 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jul 28, 2011 at 10:21:02AM +0000, Clint Adams wrote:
> When trying to access dc11-monkeysphere on gobby.debian.net right now, gobby crashes:
> 
> % gobby-0.5 
> **
> ERROR:inf-text-gtk-view.c:978:inf_text_gtk_view_expose_event_after_cb: assertion failed: (end <= gtk_text_buffer_get_char_count( gtk_text_view_get_buffer(priv->textview) ))
> zsh: abort      gobby-0.5

Yeah, me too; on the same document.  It's known upstream, and I also
filed a ticket upstream now (#564).

@Armin: The server will disappear on the weekend, though.

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#635712; Package gobby-0.5. (Thu, 28 Jul 2011 13:21:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Armin Burgmeier <armin@arbur.net>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Thu, 28 Jul 2011 13:21:29 GMT) Full text and rfc822 format available.

Message #18 received at 635712@bugs.debian.org (full text, mbox):

From: Armin Burgmeier <armin@arbur.net>
To: Philipp Kern <pkern@debian.org>
Cc: Clint Adams <clint@debian.org>, 635712@bugs.debian.org, armin@0x539.de
Subject: Re: Bug#635712: crashes immediately after document load
Date: Thu, 28 Jul 2011 15:10:47 +0200
On Thu, 2011-07-28 at 15:03 +0200, Philipp Kern wrote:
> On Thu, Jul 28, 2011 at 10:21:02AM +0000, Clint Adams wrote:
> > When trying to access dc11-monkeysphere on gobby.debian.net right now, gobby crashes:
> > 
> > % gobby-0.5 
> > **
> > ERROR:inf-text-gtk-view.c:978:inf_text_gtk_view_expose_event_after_cb: assertion failed: (end <= gtk_text_buffer_get_char_count( gtk_text_view_get_buffer(priv->textview) ))
> > zsh: abort      gobby-0.5
> 
> Yeah, me too; on the same document.  It's known upstream, and I also
> filed a ticket upstream now (#564).
> 
> @Armin: The server will disappear on the weekend, though.

That's unfortunate. Could you prepare a core dump and a corresponding
executable for me to investigate next week?

Armin





Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#635712; Package gobby-0.5. (Sun, 25 Nov 2012 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Sun, 25 Nov 2012 12:45:05 GMT) Full text and rfc822 format available.

Message #23 received at 635712@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Debian Bug Tracking System <635712@bugs.debian.org>
Subject: Re: crashes immediately after document load
Date: Sun, 25 Nov 2012 13:42:52 +0100
Package: gobby-0.5
Version: 0.4.94-5
Followup-For: Bug #635712

I can reproduce this bug.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gobby-0.5 depends on:
ii  dpkg                    1.16.9
ii  libatk1.0-0             2.4.0-2
ii  libatkmm-1.6-1          2.22.6-1
ii  libc6                   2.13-35
ii  libcairo-gobject2       1.12.2-2
ii  libcairo2               1.12.2-2
ii  libcairomm-1.0-1        1.10.0-1
ii  libgcc1                 1:4.7.2-4
ii  libgdk-pixbuf2.0-0      2.26.1-1
ii  libglib2.0-0            2.33.12+really2.32.4-3
ii  libglibmm-2.4-1c2a      2.32.1-1
ii  libgnutls26             2.12.20-1
ii  libgsasl7               1.8.0-2
ii  libgtk-3-0              3.4.2-4
ii  libgtkmm-3.0-1          3.4.2-1
ii  libgtksourceview-3.0-0  3.4.2-1
ii  libinfgtk3-0.5-0        0.5.2-5
ii  libinfinity-0.5-0       0.5.2-5
ii  libpango1.0-0           1.30.0-1
ii  libpangomm-1.4-1        2.28.4-1
ii  libsigc++-2.0-0c2a      2.2.10-0.2
ii  libstdc++6              4.7.2-4
ii  libunique-3.0-0         3.0.2-1
ii  libxml++2.6-2           2.34.2-1
ii  libxml2                 2.8.0+dfsg1-6

gobby-0.5 recommends no packages.

Versions of packages gobby-0.5 suggests:
ii  avahi-daemon  0.6.31-1

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#635712; Package gobby-0.5. (Sun, 25 Nov 2012 13:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. (Sun, 25 Nov 2012 13:12:06 GMT) Full text and rfc822 format available.

Message #28 received at 635712@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Dominik George <nik@naturalnet.de>, 635712@bugs.debian.org
Subject: Re: Bug#635712: crashes immediately after document load
Date: Sun, 25 Nov 2012 13:57:19 +0100
On Sun, 25 Nov 2012 13:42:52 +0100
Dominik George <nik@naturalnet.de> wrote:

> I can reproduce this bug.

Any more detail, please? Like a backtrace from gdb? Against which
server? Is it public?

Kind regards
Philipp Kern



Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#635712; Package gobby-0.5. (Sun, 25 Nov 2012 13:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Sun, 25 Nov 2012 13:12:08 GMT) Full text and rfc822 format available.

Message #33 received at 635712@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Philipp Kern <pkern@debian.org>
Cc: 635712@bugs.debian.org
Subject: Re: Bug#635712: crashes immediately after document load
Date: Sun, 25 Nov 2012 14:08:17 +0100 (CET)
Hi,

> Any more detail, please? Like a backtrace from gdb? Against which
> server? Is it public?

Sure. I can *sometimes* reproduce the issue when opening /BSP/2012/Bugs on 
gobby.debian.org .

-nik



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#635712; Package gobby-0.5. (Sun, 25 Nov 2012 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. (Sun, 25 Nov 2012 13:21:06 GMT) Full text and rfc822 format available.

Message #38 received at 635712@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 635712@bugs.debian.org
Subject: Re: Bug#635712: crashes immediately after document load
Date: Sun, 25 Nov 2012 14:20:13 +0100
On Sun, 25 Nov 2012 14:08:17 +0100 (CET)
Dominik George <nik@naturalnet.de> wrote:

> Hi,
> 
> > Any more detail, please? Like a backtrace from gdb? Against which
> > server? Is it public?
> 
> Sure. I can *sometimes* reproduce the issue when
> opening /BSP/2012/Bugs on gobby.debian.org .
> 
> -nik

As I can't it would be helpful if you could install gobby-0.5-dbg,
libglib2.0-0-dbg and libinfinity-0.5-dbg and run it under gdb:

(gdb) break g_assertion_message_expr
(gdb) run

Then please issue »bt full« after the crash.

Thanks
Philipp Kern



Information forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#635712; Package gobby-0.5. (Sun, 25 Nov 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Philipp Kern <pkern@debian.org>. (Sun, 25 Nov 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #43 received at 635712@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Philipp Kern <pkern@debian.org>
Cc: 635712@bugs.debian.org
Subject: Re: Bug#635712: crashes immediately after document load
Date: Sun, 25 Nov 2012 14:24:12 +0100 (CET)
Hi,

> As I can't it would be helpful if you could install gobby-0.5-dbg,
> libglib2.0-0-dbg and libinfinity-0.5-dbg and run it under gdb:

I could certainly do that, but that'd imply having gdb running all the 
time waiting for the bug to finally appear. Right now, it doesn't occur 
for me either.

I guess it occurs when multibyte characters appear in some certain place 
or count ... that's just a guess.

-nik



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#635712; Package gobby-0.5. (Mon, 26 Nov 2012 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. (Mon, 26 Nov 2012 10:18:03 GMT) Full text and rfc822 format available.

Message #48 received at 635712@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Dominik George <nik@naturalnet.de>, 635712@bugs.debian.org
Subject: Re: Bug#635712: crashes immediately after document load
Date: Mon, 26 Nov 2012 11:14:47 +0100
On Sun, 25 Nov 2012 14:24:12 +0100 (CET)
Dominik George <nik@naturalnet.de> wrote:
> > As I can't it would be helpful if you could install gobby-0.5-dbg,
> > libglib2.0-0-dbg and libinfinity-0.5-dbg and run it under gdb:
> I could certainly do that, but that'd imply having gdb running all
> the time waiting for the bug to finally appear. Right now, it doesn't
> occur for me either.

The issue has been identified. It's when a user marks a range at the
end of the document and the connecting (crashing) user has a very slow
connection. Hence the selection is synced before the text content is
added to the text view. Reproducable here with netem delay 300ms loss
3% to gobby.debian.org with another client providing the selection at
the end of the document.

Kind regards
Philipp Kern



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#635712; Package gobby-0.5. (Mon, 26 Nov 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. (Mon, 26 Nov 2012 21:39:03 GMT) Full text and rfc822 format available.

Message #53 received at 635712@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 635712@bugs.debian.org
Subject: Re: Bug#635712: crashes immediately after document load
Date: Mon, 26 Nov 2012 22:37:12 +0100
On Mon, 26 Nov 2012 11:14:47 +0100
Philipp Kern <pkern@debian.org> wrote:
> The issue has been identified. It's when a user marks a range at the
> end of the document and the connecting (crashing) user has a very slow
> connection. Hence the selection is synced before the text content is
> added to the text view. Reproducable here with netem delay 300ms loss
> 3% to gobby.debian.org with another client providing the selection at
> the end of the document.

It's now fixed upstream. I'll upload a fix in the next days.

Thanks for the ping
Philipp Kern



Bug reassigned from package 'gobby-0.5' to 'libinfinity'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions gobby-infinote/0.4.94-5 and gobby-infinote/0.4.94-1. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

Marked as found in versions 0.5.2-5. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

Added indication that 635712 affects gobby Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Tue, 27 Nov 2012 13:33:04 GMT) Full text and rfc822 format available.

Reply sent to Philipp Kern <pkern@debian.org>:
You have taken responsibility. (Tue, 27 Nov 2012 15:06:04 GMT) Full text and rfc822 format available.

Notification sent to Clint Adams <clint@debian.org>:
Bug acknowledged by developer. (Tue, 27 Nov 2012 15:06:04 GMT) Full text and rfc822 format available.

Message #66 received at 635712-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 635712-close@bugs.debian.org
Subject: Bug#635712: fixed in libinfinity 0.5.2-6
Date: Tue, 27 Nov 2012 15:03:36 +0000
Source: libinfinity
Source-Version: 0.5.2-6

We believe that the bug you reported is fixed in the latest version of
libinfinity, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635712@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated libinfinity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Nov 2012 14:28:02 +0100
Source: libinfinity
Binary: libinfinity-0.5-dev libinfinity-0.5-doc libinfinity-0.5-dbg libinfinity-0.5-0 libinfgtk3-0.5-0 infinoted-0.5 infinoted
Architecture: source amd64 all
Version: 0.5.2-6
Distribution: sid
Urgency: low
Maintainer: Philipp Kern <pkern@debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 infinoted  - dedicated server for infinote-based collaborative editing
 infinoted-0.5 - dedicated server for infinote-based collaborative editing (transi
 libinfgtk3-0.5-0 - infinote-based collaborative editing (Gtk widgets)
 libinfinity-0.5-0 - infinote-based collaborative editing
 libinfinity-0.5-dbg - infinote-based collaborative editing - debugging symbols
 libinfinity-0.5-dev - infinote-based collaborative editing - development files
 libinfinity-0.5-doc - infinote-based collaborative editing - documentation
Closes: 635712
Changes: 
 libinfinity (0.5.2-6) unstable; urgency=low
 .
   * Add a patch that fixes a crash when trying to show a selection
     towards the end of the document while this part is not available
     yet. (Closes: #635712)
Checksums-Sha1: 
 c896fae9467d57c306f8b01306b284ab46709a81 1927 libinfinity_0.5.2-6.dsc
 cdd70dfa541feffdb2afb98ab43aa0e6b9e2ae6a 17318 libinfinity_0.5.2-6.debian.tar.gz
 dc42e77a2125b60e40cfde012ab6495da5c34138 409842 libinfinity-0.5-dev_0.5.2-6_amd64.deb
 c921a42f50cc8e2bcf3e51cf006bd20f762b167e 232248 libinfinity-0.5-doc_0.5.2-6_all.deb
 5008b80310f52d29fa83f8bac58563c02c93df2b 1256646 libinfinity-0.5-dbg_0.5.2-6_amd64.deb
 e6b446d2618ac57f64029f79fea06b0c4515c980 272274 libinfinity-0.5-0_0.5.2-6_amd64.deb
 7f3797dd0e3026da1a23c7f8cfe929b2465ad9c5 133520 libinfgtk3-0.5-0_0.5.2-6_amd64.deb
 d74f222c06e720e9f9f25dcebc94c15ac771a1b6 64240 infinoted-0.5_0.5.2-6_all.deb
 653cdf20e5ecb9642b5fe7bba45aa1c87c0d2d3f 89754 infinoted_0.5.2-6_amd64.deb
Checksums-Sha256: 
 b97fafc90d33f4fb8f9b65a6b05f63bcbf4b025fb1dcb417e96e0f371d6c35b2 1927 libinfinity_0.5.2-6.dsc
 836414c454fcfd472c37ad13703d046ec19f09f2653acc9ffae0b16d9f87c6ff 17318 libinfinity_0.5.2-6.debian.tar.gz
 5e423b4f9c8ef3597e8ede4b652dfa0635119d63f3271107fd58ee083fc50ed8 409842 libinfinity-0.5-dev_0.5.2-6_amd64.deb
 ed8716b990ae0081207c3c37a709b6c56b46dc9c8f68889a7bb7a21507b4e898 232248 libinfinity-0.5-doc_0.5.2-6_all.deb
 71d6c8e0178ad23d29039a5f75e98316d94ae7fb9d006900d3a471dea65c1386 1256646 libinfinity-0.5-dbg_0.5.2-6_amd64.deb
 ffa56294901c880d456108f09764f4906749f1d2c67062eadb6441fee3a86d64 272274 libinfinity-0.5-0_0.5.2-6_amd64.deb
 c7f5005ba199d2ac1ce1cd99d12a86711aa7c4c17294ac6a079ad6bf6e9c2be3 133520 libinfgtk3-0.5-0_0.5.2-6_amd64.deb
 8f125d58716032c545bbfdcae43adeeab50ee281dd6324cdd8a6e2410ab481cd 64240 infinoted-0.5_0.5.2-6_all.deb
 2e2affed4ae44baf7c007c07e82a0fbc1eb469610ab3a954ea16b499faf462c5 89754 infinoted_0.5.2-6_amd64.deb
Files: 
 ae6a0d78c92d98878b979d515a02aad3 1927 libs optional libinfinity_0.5.2-6.dsc
 10091f4f8645b5efa73552500534c4b6 17318 libs optional libinfinity_0.5.2-6.debian.tar.gz
 726efd92cfa91fd16f1b10f25cd2e855 409842 libdevel optional libinfinity-0.5-dev_0.5.2-6_amd64.deb
 f0f25f3521be15082fc7af4dd1db21eb 232248 doc optional libinfinity-0.5-doc_0.5.2-6_all.deb
 cde6c94b7c9b0d483555555b8afa40fa 1256646 debug extra libinfinity-0.5-dbg_0.5.2-6_amd64.deb
 0fcc2b25001e1fc38e4fc164e29fa61d 272274 libs optional libinfinity-0.5-0_0.5.2-6_amd64.deb
 9d4482b0241f5364320ea88b924322e8 133520 libs optional libinfgtk3-0.5-0_0.5.2-6_amd64.deb
 5ac1e139098282089f583786b3c31540 64240 oldlibs extra infinoted-0.5_0.5.2-6_all.deb
 662a4c231cc7925bc48c41608722cef6 89754 net optional infinoted_0.5.2-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQtMtoAAoJEERuJUU10FbsD+sIALJBQ5upp6gsyjyJ+2ZqtyJx
s6fceCiXMBj/BtG9iElKd2VYZdYh8p7ihYUGbxWK6Ag9Vik+1RN/n0dJ2FYEh9mr
BkFCoyjqGpHGuEJeJRI8WCXZNGbGWw42djMhM33yNMw61vhW17fOcWFmofa6LSvg
UdBTumBkgx/4jGEtvZSbAfaB9581mM/ewB2Ek2nWT25ONbhFzzRHut+2ySkq79a5
TpYmgQe74BDYhOzFCjsaMw81mePmaSV9t2xpLV2jATfTsWiuuLPjTI92DV+8QsIO
+A05wgYxHglJP+YIwrDcTJKUQLTXNIy1QpaBHdybM7DEdBCbUW3CyYaEB0m2lcs=
=5tt+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Jan 2013 07:25:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:36:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.